Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055701 - Error in PREIN scriptlet in rpm package 1:nfs-utils-1.2.9-2.1.fc20.x86_64
Summary: Error in PREIN scriptlet in rpm package 1:nfs-utils-1.2.9-2.1.fc20.x86_64
Keywords:
Status: CLOSED DUPLICATE of bug 1054350
Alias: None
Product: Fedora
Classification: Fedora
Component: nfs-utils
Version: 20
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-20 18:51 UTC by Henrik Johansson
Modified: 2014-01-20 23:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-20 23:01:11 UTC


Attachments (Terms of Use)
Extract from yum.log for January 2014 (deleted)
2014-01-20 18:51 UTC, Henrik Johansson
no flags Details

Description Henrik Johansson 2014-01-20 18:51:40 UTC
Created attachment 852816 [details]
Extract from yum.log for January 2014

Description of problem: Can't update packages with yum


Version-Release number of selected component (if applicable):
Problem to update four packages plus kernel:
Failed:
  initscripts.x86_64 0:9.50-1.fc20                                      initscripts.x86_64 0:9.51-1.fc20                                    
  nfs-utils.x86_64 1:1.2.8-6.0.fc20                                     nfs-utils.x86_64 1:1.2.9-2.1.fc20                                   
  selinux-policy-targeted.noarch 0:3.12.1-116.fc20                      selinux-policy-targeted.noarch 0:3.12.1-117.fc20                    
  tcpdump.x86_64 14:4.5.0-1.20131108gitb07944a.fc20                     tcpdump.x86_64 14:4.5.1-1.fc20                                      
...
Security: kernel-3.12.8-300.fc20.x86_64 is an installed security update
Security: kernel-3.12.7-300.fc20.x86_64 is the currently running version

How reproducible: At every 'yum update' since Jan 17.
Started at update of nfs-utils.
On Jan 19 the same problem affected initscripts, selinux-policy-targeted and tcpdump.
Today (Jan 20) a similar problem affects kernel update.


Steps to Reproduce:
1. yum update -y
2.
3.

Actual results: 
The new version are installed, the old version remains installed and the old version are still in use, at least for the kernel.


Expected results:The new version are installed and the old version are removed.


Additional info:
Appending an extract from yum.log for January 2014.
Some updates are OK, here are the results from 'yum check-update' and 'yum update', after 'yum update' and reboot.
$ yum check-update
Loaded plugins: langpacks, refresh-packagekit

initscripts.x86_64                                                       9.51-1.fc20                                                 updates
nfs-utils.x86_64                                                         1:1.2.9-2.1.fc20                                            updates
selinux-policy-targeted.noarch                                           3.12.1-117.fc20                                             updates
tcpdump.x86_64                                                           14:4.5.1-1.fc20                                             updates
Security: kernel-3.12.8-300.fc20.x86_64 is an installed security update
Security: kernel-3.12.7-300.fc20.x86_64 is the currently running version


# yum update
Loaded plugins: langpacks, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package initscripts.x86_64 0:9.50-1.fc20 will be updated
---> Package initscripts.x86_64 0:9.51-1.fc20 will be an update
---> Package nfs-utils.x86_64 1:1.2.8-6.0.fc20 will be updated
---> Package nfs-utils.x86_64 1:1.2.9-2.1.fc20 will be an update
---> Package selinux-policy-targeted.noarch 0:3.12.1-116.fc20 will be updated
---> Package selinux-policy-targeted.noarch 0:3.12.1-117.fc20 will be an update
---> Package tcpdump.x86_64 14:4.5.0-1.20131108gitb07944a.fc20 will be updated
---> Package tcpdump.x86_64 14:4.5.1-1.fc20 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

============================================================================================================================================
 Package                                    Arch                      Version                              Repository                  Size
============================================================================================================================================
Updating:
 initscripts                                x86_64                    9.51-1.fc20                          updates                    414 k
 nfs-utils                                  x86_64                    1:1.2.9-2.1.fc20                     updates                    356 k
 selinux-policy-targeted                    noarch                    3.12.1-117.fc20                      updates                    3.6 M
 tcpdump                                    x86_64                    14:4.5.1-1.fc20                      updates                    387 k

Transaction Summary
============================================================================================================================================
Upgrade  4 Packages

Total download size: 4.7 M
Is this ok [y/d/N]: y
Downloading packages:
Delta RPMs reduced 414 k of updates to 194 k (53% saved)
(1/4): initscripts-9.50-1.fc20_9.51-1.fc20.x86_64.drpm                                                               | 194 kB  00:00:01     
(2/4): tcpdump-4.5.1-1.fc20.x86_64.rpm                                                                               | 387 kB  00:00:01     
(3/4): nfs-utils-1.2.9-2.1.fc20.x86_64.rpm                                                                           | 356 kB  00:00:02     
(4/4): selinux-policy-targeted-3.12.1-117.fc20.noarch.rpm                                                            | 3.6 MB  00:00:08     
--------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                       518 kB/s | 4.5 MB  00:00:08     
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
error: %pre(tcpdump-14:4.5.1-1.fc20.x86_64) scriptlet failed, exit status 127
Error in PREIN scriptlet in rpm package 14:tcpdump-4.5.1-1.fc20.x86_64
error: tcpdump-14:4.5.1-1.fc20.x86_64: install failed
error: %pre(initscripts-9.51-1.fc20.x86_64) scriptlet failed, exit status 127
Error in PREIN scriptlet in rpm package initscripts-9.51-1.fc20.x86_64
error: initscripts-9.51-1.fc20.x86_64: install failed
error: %pre(selinux-policy-targeted-3.12.1-117.fc20.noarch) scriptlet failed, exit status 127
Error in PREIN scriptlet in rpm package selinux-policy-targeted-3.12.1-117.fc20.noarch
error: selinux-policy-targeted-3.12.1-117.fc20.noarch: install failed
error: %pre(nfs-utils-1:1.2.9-2.1.fc20.x86_64) scriptlet failed, exit status 127
Error in PREIN scriptlet in rpm package 1:nfs-utils-1.2.9-2.1.fc20.x86_64
  Verifying  : 1:nfs-utils-1.2.9-2.1.fc20.x86_64                                                                                        1/8 
  Verifying  : selinux-policy-targeted-3.12.1-117.fc20.noarch                                                                           2/8 
selinux-policy-targeted-3.12.1-116.fc20.noarch was supposed to be removed but is not!
  Verifying  : selinux-policy-targeted-3.12.1-116.fc20.noarch                                                                           3/8 
initscripts-9.50-1.fc20.x86_64 was supposed to be removed but is not!
  Verifying  : initscripts-9.50-1.fc20.x86_64                                                                                           4/8 
  Verifying  : initscripts-9.51-1.fc20.x86_64                                                                                           5/8 
1:nfs-utils-1.2.8-6.0.fc20.x86_64 was supposed to be removed but is not!
  Verifying  : 1:nfs-utils-1.2.8-6.0.fc20.x86_64                                                                                        6/8 
14:tcpdump-4.5.0-1.20131108gitb07944a.fc20.x86_64 was supposed to be removed but is not!
  Verifying  : 14:tcpdump-4.5.0-1.20131108gitb07944a.fc20.x86_64                                                                        7/8 
  Verifying  : 14:tcpdump-4.5.1-1.fc20.x86_64                                                                                           8/8 

Failed:
  initscripts.x86_64 0:9.50-1.fc20                                      initscripts.x86_64 0:9.51-1.fc20                                    
  nfs-utils.x86_64 1:1.2.8-6.0.fc20                                     nfs-utils.x86_64 1:1.2.9-2.1.fc20                                   
  selinux-policy-targeted.noarch 0:3.12.1-116.fc20                      selinux-policy-targeted.noarch 0:3.12.1-117.fc20                    
  tcpdump.x86_64 14:4.5.0-1.20131108gitb07944a.fc20                     tcpdump.x86_64 14:4.5.1-1.fc20                                      

Complete!

Comment 1 Michael Schwendt 2014-01-20 23:01:11 UTC
https://fedoraproject.org/wiki/Common_F20_bugs#RPM_scriptlets_fail_during_updates

*** This bug has been marked as a duplicate of bug 1054350 ***


Note You need to log in before you can comment on or make changes to this bug.